CVE-2023-32570

NameCVE-2023-32570
DescriptionVideoLAN dav1d before 1.2.0 has a thread_task.c race condition that can lead to an application crash, related to dav1d_decode_frame_exit.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs1035950

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
dav1d (PTS)bullseye0.7.1-3vulnerable
bullseye (security)0.7.1-3+deb11u1vulnerable
bookworm1.0.0-2vulnerable
bookworm (security)1.0.0-2+deb12u1vulnerable
sid, trixie1.4.2-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
dav1dsourceexperimental1.2.0-1
dav1dsource(unstable)1.2.1-21035950

Notes

[bookworm] - dav1d <no-dsa> (Minor issue)
[bullseye] - dav1d <no-dsa> (Minor issue)
https://code.videolan.org/videolan/dav1d/-/commit/cf617fdae0b9bfabd27282854c8e81450d955efa (1.2.0)

Search for package or bug name: Reporting problems